Fog end unit

Hi all

What is the FogStartDist FogEndDist unit ?

I think it is inches just like all other internal units (except focal length).

let me be more clear : what is the start point and the end point.
In parallele view its really hard to me to setup the fog.

change the fog color >> set the end point >> change color back…

edit: from ruby ! recall all of these have an effect

Sketchup.active_model.rendering_options["FogColor"] = <color>
Sketchup.active_model.rendering_options["FogUseBkColor"] = <true/false>
Sketchup.active_model.rendering_options["FogEndDist"] = <num>
Sketchup.active_model.rendering_options["FogStartDist"] =  <num>
Sketchup.active_model.rendering_options["ForegroundColor"] = <[r,b,g,a]>

john

The start point is the camera. Even in parallel projection the camera is placed in 3D space, just as in perspective projection. The ‚Äúlongitudinal‚ÄĚ position is however somewhat arbitrary and reflects where the perspective camera was when entering parallel projection, not the current view (with the exception of clipping).

For my extension controlling fog I let the user click a start point, e.g. a section plane. The user can also type an exact distance if they happen to know it, but this is mostly useful in perspective projection.

3 Likes

Thanks @eneroth3 for this clarification !!